// ecow.h

// General 1-Wire commands
#define OW_SEARCH_ROM_CMD              0xF0
#define OW_READ_ROM_CMD                0x33
#define OW_MATCH_ROM_CMD               0x55
#define OW_OD_MATCH_ROM_CMD            0x69
#define OW_OD_SKIP_ROM_CMD             0x3C
#define OW_RESUME_CMD                  0xA5

// Memory-specific commands
#define OW_WRITE_SCRATCHPAD_CMD        0x0F
#define OW_READ_SCRATCHPAD_CMD         0xAA
#define OW_COPY_SCRATCHPAD_CMD         0x55
#define OW_ERASE_SCRATCHPAD_CMD        0xC3
#define OW_MATCH_SCRATCHPAD_CMD        0x3C
#define OW_READ_MEMORY_CMD             0xF0
#define OW_READ_AUTH_PAGE_CMD          0xA5

// DS1961S specific
#define OW_REFRESH_SCRATCHPAD_CMD      0xA3
#define OW_LOAD_FIRST_SECRET_CMD       0x5A

// DS1963S SHA functions
#define OW_COMPUTE_SHA_CMD             0x33
#define OW_COMPUTE_FIRST_SECRET_CMD    0x0F
#define OW_COMPUTE_NEXT_SECRET_CMD     0xF0
#define OW_VALIDATE_DATA_PAGE_CMD      0x3C
#define OW_SIGN_DATA_PAGE_CMD          0xC3
#define OW_COMPUTE_CHALLENGE_CMD       0xCC
#define OW_AUTHENTICATE_HOST_CMD       0xAA